
Foreman - Bug #11656

Network interface dropdowns not disabled on VMware host edits

09/02/2015 07:09 AM - Nikita Stupin

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Compute resources - VMware   

Target version: 1.13.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.9.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3963

  

Description

After edit created host and change VMWare interface portgroup, in vSphere portgroup really not changed.

Related issues:

Related to Foreman - Bug #9480: Fix multiple NICs integration with compute pr... Closed 02/20/2015

Related to Foreman - Feature #4166: VMWare - VM editing is not implemented fo... Closed 01/23/2014

Related to Foreman - Bug #12057: Provider specifics are disabled in modals fo... New 10/05/2015

Associated revisions

Revision a4f8f99c - 10/31/2016 11:57 AM - Timo Goebel

fixes #11656 - disable cr interface fields on host edit

Revision 7b844b85 - 11/25/2016 09:30 AM - Timo Goebel

fixes #11656 - disable cr interface fields on host edit

(cherry picked from commit a4f8f99c3aa094eaa7e92e77069d3428331cbf82)

History

#1 - 09/02/2015 07:18 AM - Dominic Cleal

- Related to Bug #9480: Fix multiple NICs integration with compute profiles added

#2 - 09/02/2015 07:20 AM - Dominic Cleal

- Subject changed from Change VMWare porgroup to Network interface dropdowns not disabled on VMware host edits

Foreman doesn't support editing of VMware hosts, so these should have been disabled - they were in previous versions, and are for other compute

resource types, but this is a bug/regression specifically on the VMware form (app/views/compute_resources_vms/form/vmware/_network.html.erb).

#4166 is a feature request for editing support, but it's unlikely to happen any time soon.  Use vSphere.

#3 - 09/02/2015 07:20 AM - Dominic Cleal

- Related to Feature #4166: VMWare - VM editing is not implemented for this provider added

#4 - 10/24/2016 04:25 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/3963 added

#5 - 10/24/2016 07:08 AM - Timo Goebel

- Related to Bug #12057: Provider specifics are disabled in modals for new NICs added
https://projects.theforeman.org/issues/4166


#6 - 10/31/2016 12:02 PM - Timo Goebel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a4f8f99c3aa094eaa7e92e77069d3428331cbf82.

#7 - 11/01/2016 06:53 AM - Dominic Cleal

- translation missing: en.field_release set to 203
